Bug 1191059 - Glibc Unicode 7.0
Summary: Glibc Unicode 7.0
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact:
Petr Bokoc
URL:
Whiteboard: ChangeAcceptedF22 SystemWideChange
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-10 11:54 UTC by Jaroslav Reznik
Modified: 2015-07-21 10:28 UTC (History)
5 users (show)

(edit)
== Unicode 7.0 Support in Glibc ==

An update to Glibc locale data (character map. character width, and 'LC_CTYPE' information) in Fedora 22 enables support for Unicode 7.0. Previous Fedora releases supported Unicode 5.1. This change adds almost 8000 new characters, and also corrects the Unicode data for some characters per the latest Unicode standard.

See the backward compatibility report (https://raw.githubusercontent.com/pravins/glibc-i18n/master/report-utf8) for information about removed, changed and added characters.
Clone Of:
(edit)
Last Closed: 2015-07-21 10:28:34 UTC
pbokoc: fedora_requires_release_note+


Attachments (Terms of Use)

Description Jaroslav Reznik 2015-02-10 11:54:42 UTC
This is a tracking bug for Change: Glibc Unicode 7.0
For more details, see: https://fedoraproject.org//wiki/Changes/Glibc_Unicode_7

We are updating Glibc Unicode data from Unicode 5.1 to Unicode 7.0 version. It took a long time, since there was not much documentation on how to update Unicode data and also there was the chance of loosing backward compatibility. Most of the issues are resolved now and patches are ready for inclusion. This update adds around 8000 supported characters in Glibc, and also corrects the Unicode data of many characters per the latest Unicode standard.

Comment 1 Jaroslav Reznik 2015-02-20 10:01:45 UTC
This message is a reminder that Fedora 22 Change Checkpoint: Completion deadline (testable) is on 2015-02-24 [1].

At this point, all accepted Changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

This bug should be set at least to the MODIFIED state to indicate that it achieved completeness. Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution. Fedora 22 is going to be strictly time based release. For Changes you decide to cancel/move to the next release, please use the NEW status and set needinfo on me and it will be acted upon. 

In case of any questions, don't hesitate to ask Wrangler (jreznik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/22/Schedule

Comment 2 Siddhesh Poyarekar 2015-02-24 05:23:46 UTC
glibc-2.21-5.fc22 has Unicode 7.0.0 support.

Comment 4 Jaroslav Reznik 2015-03-24 11:41:43 UTC
This message is a reminder that Fedora 22 "Change Checkpoint: 100% Code Complete Deadline" is on 2015-03-31 [1].

All Accepted Changes has to be code complete and ready to be validated in the Beta release (optionally by Fedora QA). Required bug state at this point is ON_QA.

As for several System Wide Changes, Beta Freeze is a point of contingency plan, all incomplete Changes will be reported to FESCo for 2015-04-01 meeting. In case of any questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/22/Schedule

Comment 5 Pravin Satpute 2015-03-26 13:53:40 UTC
We had nice i18n testing day. At least not found any bug related with this update. Moving to on QA

Comment 6 Petr Bokoc 2015-04-08 15:03:46 UTC
Hello Mike and Pravin, we'd like to include this change in the Fedora 22 Beta Release Notes.

Please take a look at the draft in the Doc Text field, and let me know if this text is sufficient, or if there's anything you'd like to add or change.

Thanks!

Comment 7 Mike FABIAN 2015-04-08 15:55:16 UTC
(In reply to Petr Bokoc from comment #6)
> Hello Mike and Pravin, we'd like to include this change in the Fedora 22
> Beta Release Notes.
> 
> Please take a look at the draft in the Doc Text field, and let me know if
> this text is sufficient, or if there's anything you'd like to add or change.
> 
> Thanks!

Doc Text: == Unicode 7.0 Support in Glibc == An update to Glibc locale data (character map and 'LC_CTYPE' information) in Fedora 22 enables support for Unicode 7.0. Previous Fedora releases supported Unicode 5.1. This change adds almost 8000 new characters, and also corrects the Unicode data for some characters per the latest Unicode standard. See the backward compatibility report (https://raw.githubusercontent.com/pravins/glibc-i18n/master/report-utf8) for information about removed, changed and added characters.

I suggest to add “character width” like this:

“character map and 'LC_CTYPE' information” → “character map, character width, and 'LC_CTYPE' information”

Otherwise it looks OK to me.

Comment 8 Petr Bokoc 2015-04-08 16:33:58 UTC
Thanks. Character width added.


Note You need to log in before you can comment on or make changes to this bug.